<template>
  <div
    class="fade z-50 top-0 left-0 w-screen h-screen flex flex-row justify-center items-center fixed"
  >
    <div class="bg-primary-700 p-2 border border-primary-600 rounded">
      <div class="flex flex-row justify-between gap-8 items-center">
        <span>{{ title }}</span>
        <BaseButton @click="$emit('close')">
          <XIcon class="h-5 w-5 text-warning-500" />
        </BaseButton>
      </div>
      <slot />
    </div>
  </div>
</template>

<script>
import { XIcon } from '@vue-hero-icons/outline'
import BaseButton from '../ui/BaseButton.vue'
export default {
  name: 'BaseModal',
  components: {
    BaseButton,
    XIcon,
  },
  props: {
    // eslint-disable-next-line vue/require-default-prop
    title: {
      type: String,
      require: true,
    },
  },
}
</script>
